org.eclipse.jetty.security

## Interface Authenticator.AuthConfiguration

- All Known Implementing Classes:
    ConstraintSecurityHandler, SecurityHandler
  Enclosing interface:
    Authenticator

      public static interface Authenticator.AuthConfiguration

  Authenticator Configuration

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `IdentityService` | `getIdentityService()`
    `String` | `getInitParameter(String param)` Get a SecurityHandler init parameter
    `Set<String>` | `getInitParameterNames()` Get a SecurityHandler init parameter names
    `LoginService` | `getLoginService()`
    `String` | `getRealmName()`
    `boolean` | `isSessionRenewedOnAuthentication()`

- - ### Method Detail

    - #### getAuthMethod

          String getAuthMethod()

    - #### getRealmName

          String getRealmName()

    - #### getInitParameter

          String getInitParameter(String param)

      Get a SecurityHandler init parameter
      Parameters:
        `param` - parameter name
      Returns:
        Parameter value or null
      See Also:
        `SecurityHandler.getInitParameter(String)`

    - #### getInitParameterNames

          Set<String> getInitParameterNames()

      Get a SecurityHandler init parameter names
      Returns:
        Set of parameter names
      See Also:
        `SecurityHandler.getInitParameterNames()`

    - #### getLoginService

          LoginService getLoginService()

    - #### getIdentityService

          IdentityService getIdentityService()

    - #### isSessionRenewedOnAuthentication

          boolean isSessionRenewedOnAuthentication()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.